A valid request URL is required to generate request examples{
"items": [
{
"area_code": "555",
"e164": "+15551234567",
"id": 2001,
"name": "Main line",
"inbound_cloud_employee_id": 1001,
"outbound_cloud_employee_id": 1001
}
],
"limit": 20,
"skip": 0,
"total": 100
}{
"detail": "Property foo is required but is missing.",
"errors": [
{
"location": "<string>",
"message": "<string>",
"value": "<unknown>"
}
],
"instance": "https://example.com/error-log/abc123",
"status": 400,
"title": "Bad Request",
"type": "https://example.com/errors/example"
}List phone numbers
List phone numbers with optional filters and pagination.
A valid request URL is required to generate request examples{
"items": [
{
"area_code": "555",
"e164": "+15551234567",
"id": 2001,
"name": "Main line",
"inbound_cloud_employee_id": 1001,
"outbound_cloud_employee_id": 1001
}
],
"limit": 20,
"skip": 0,
"total": 100
}{
"detail": "Property foo is required but is missing.",
"errors": [
{
"location": "<string>",
"message": "<string>",
"value": "<unknown>"
}
],
"instance": "https://example.com/error-log/abc123",
"status": 400,
"title": "Bad Request",
"type": "https://example.com/errors/example"
}Authorizations
API key sent in the X-Api-Key header. Generate an API key from https://app.atonom.ai/#/settings/v2/api_keys.
Query Parameters
Number of matches to skip. Defaults to 0.
x >= 00
Maximum number of matches to return. Defaults to 20, maximum 100.
0 <= x <= 10020
Filter by E.164 substring. Encode leading + as %2B.
"+1555"
Filter by exact NANP area code.
"415"
Response
OK
Items in this page.
Hide child attributes
Hide child attributes
NANP area code.
"555"
Phone number in E.164 format.
"+15551234567"
Stable identifier of the phone number.
2001
Display name of the phone number.
"Main line"
Cloud employee handling inbound calls.
1001
Cloud employee handling outbound calls.
1001
Maximum number of matches returned.
20
Number of matches skipped.
0
Total number of matches before pagination.
100

